# TdApi.DeleteLanguagePack (tdlight API 3.3.160 API)
declaration: package: it.tdlight.jni, class: TdApi, class: DeleteLanguagePack

Package it.tdlight.jni

# Class TdApi.DeleteLanguagePack

java.lang.Object
it.tdlight.jni.TdApi.Object
it.tdlight.jni.TdApi.Function
it.tdlight.jni.TdApi.DeleteLanguagePack

Enclosing class:
  TdApi

    public static class TdApi.DeleteLanguagePack
    extends TdApi.Function

Deletes all information about a language pack in the current localization target. The language pack which is currently in use (including base language pack) or is being synchronized can't be deleted. Can be called before authorization.

Returns `Ok`

## Field Summary

Fields
Modifier and Type | Field | Description
--- | --- | ---
`static int` | `CONSTRUCTOR` |
`String` | `languagePackId` | Identifier of the language pack to delete.

## Constructor Summary

Constructors
Constructor | Description
--- | ---
`DeleteLanguagePack()` | Deletes all information about a language pack in the current localization target.
`DeleteLanguagePack​(DataInput input)` |
`DeleteLanguagePack​(String languagePackId)` | Deletes all information about a language pack in the current localization target.

## Method Summary

Modifier and Type | Method | Description
--- | --- | ---
`boolean` | `equals​(Object o)` |
`int` | `getConstructor()` |
`int` | `hashCode()` |
`void` | `serialize​(DataOutput output)` |

### Methods inherited from class it.tdlight.jni.TdApi.Function

`toString`

### Methods inherited from class it.tdlight.jni.TdApi.Object

`serialize`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### languagePackId

public String languagePackId
Identifier of the language pack to delete.

### CONSTRUCTOR

public static final int CONSTRUCTOR

See Also:
  Constant Field Values

## Constructor Details

### DeleteLanguagePack

public DeleteLanguagePack()
Deletes all information about a language pack in the current localization target. The language pack which is currently in use (including base language pack) or is being synchronized can't be deleted. Can be called before authorization.

Returns `Ok`

### DeleteLanguagePack

public DeleteLanguagePack​(String languagePackId)
Deletes all information about a language pack in the current localization target. The language pack which is currently in use (including base language pack) or is being synchronized can't be deleted. Can be called before authorization.

Returns `Ok`

Parameters:
  `languagePackId` - String Identifier of the language pack to delete.

### DeleteLanguagePack

public DeleteLanguagePack​(DataInput input) throws IOException

Throws:
  `IOException`

## Method Details

### getConstructor

public int getConstructor()

Specified by:
  `getConstructor` in class `TdApi.Object`

### serialize

public void serialize​(DataOutput output) throws IOException

Specified by:
  `serialize` in class `TdApi.Object`
Throws:
  `IOException`

### equals

public boolean equals​(Object o)

Overrides:
  `equals` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`